package com.huimv.production.autoGetData.service;

import java.io.IOException;
import java.text.ParseException;
import java.util.List;

public interface IAutoGetErpData {
  /*  void getPsy();

    void getReEstrusRate();

    void getParturitionRate();

    List getStorage();

    void getPigletInfo();

    void getMateQuantity();

    void getConceptionRate();

    void getAllStorage();

    List findAll();*/

    void getManyFarmProduce() throws IOException;

    String getRemoteToken() throws IOException;

    void getManyFarmStock() throws IOException;

    void getCostWithManyFarm() throws IOException, ParseException;

    //预警接口取数
    void getWarningMessage() throws IOException, ParseException;

    //工作计划接口取数
    void getWorkPlan() throws IOException, ParseException;

    //待分娩、待配种、待断奶接口取数
    void getPrepareStatusQuantity() throws IOException, ParseException;

    //应付接口取数（无数据）
    void getPayable() throws ParseException, IOException;

    //销售接口取数
    void getSales() throws IOException, ParseException;

    //获取多牧场PSY
    void getManyFarmPsy() throws IOException, InterruptedException;

    void getManyFarmParturitionRate() throws IOException;

    void testGetManyFarmPsy() throws IOException;
}
