package com.huimv.production.datasource.controller;

import com.huimv.common.result.Result;
import com.huimv.common.result.ResultCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@CrossOrigin
@RestController
@Slf4j
@RequestMapping(value = "/demo")
public class DemoController {

    @RequestMapping(value = "/saveDemo",method = RequestMethod.POST)
    public Result saveDemo(@RequestParam(value = "name",required = true) String name,@RequestParam(value = "age",required = false) String age,@RequestParam(value = "no",required = false) String no){
        log.info("接收参数:");
        log.info("name="+name);
        log.info("age="+age);
        log.info("no="+no);
        //执行逻辑操作
        System.out.println("已经保存数据.");

        return new Result(ResultCode.SUCCESS);
    }
}
