package com.huimv.production.datasource.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

@Entity
@Table(name = "TDelivery")
public class TDeliveryEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "FID", nullable = false)
    private String FID;

    @Column(name = "FLOGSOURCEE")
    private Integer FLOGSOURCEE;

    @Column(name = "FDATEDELIVERY")
    private Timestamp FDATEDELIVERY;

    @Column(name = "PIGHOUSEDID")
    private String PIGHOUSEDID;

    @Column(name = "FNUMBER")
    private String FNUMBER;

    @Column(name = "FDATEPREJUDGE")
    private Timestamp FDATEPREJUDGE;

    @Column(name = "FREMARKSTR")
    private String FREMARKSTR;

    @Column(name = "FLOGSTATEE")
    private Integer FLOGSTATEE;

    @Column(name = "LISTERDID")
    private String LISTERDID;

    @Column(name = "TECHNICIANDID")
    private String TECHNICIANDID;

    @Column(name = "SOURCELOGDID")
    private String SOURCELOGDID;

    @Column(name = "FDATEAUDITING")
    private Timestamp FDATEAUDITING;

    @Column(name = "FDATECREATE")
    private Timestamp FDATECREATE;

    @Column(name = "ASSESSORDID")
    private String ASSESSORDID;

    @Column(name = "HOGPENDID")
    private String HOGPENDID;

    @Column(name = "FDATECHECKUP")
    private Timestamp FDATECHECKUP;

    @Column(name = "FBORNSTATECHECK")
    private String FBORNSTATECHECK;

    public void setFID(String FID) {
        this.FID = FID;
    }

    public String getFID() {
        return FID;
    }

    public void setFLOGSOURCEE(Integer FLOGSOURCEE) {
        this.FLOGSOURCEE = FLOGSOURCEE;
    }

    public Integer getFLOGSOURCEE() {
        return FLOGSOURCEE;
    }

    public void setFDATEDELIVERY(Timestamp FDATEDELIVERY) {
        this.FDATEDELIVERY = FDATEDELIVERY;
    }

    public Timestamp getFDATEDELIVERY() {
        return FDATEDELIVERY;
    }

    public void setPIGHOUSEDID(String PIGHOUSEDID) {
        this.PIGHOUSEDID = PIGHOUSEDID;
    }

    public String getPIGHOUSEDID() {
        return PIGHOUSEDID;
    }

    public void setFNUMBER(String FNUMBER) {
        this.FNUMBER = FNUMBER;
    }

    public String getFNUMBER() {
        return FNUMBER;
    }

    public void setFDATEPREJUDGE(Timestamp FDATEPREJUDGE) {
        this.FDATEPREJUDGE = FDATEPREJUDGE;
    }

    public Timestamp getFDATEPREJUDGE() {
        return FDATEPREJUDGE;
    }

    public void setFREMARKSTR(String FREMARKSTR) {
        this.FREMARKSTR = FREMARKSTR;
    }

    public String getFREMARKSTR() {
        return FREMARKSTR;
    }

    public void setFLOGSTATEE(Integer FLOGSTATEE) {
        this.FLOGSTATEE = FLOGSTATEE;
    }

    public Integer getFLOGSTATEE() {
        return FLOGSTATEE;
    }

    public void setLISTERDID(String LISTERDID) {
        this.LISTERDID = LISTERDID;
    }

    public String getLISTERDID() {
        return LISTERDID;
    }

    public void setTECHNICIANDID(String TECHNICIANDID) {
        this.TECHNICIANDID = TECHNICIANDID;
    }

    public String getTECHNICIANDID() {
        return TECHNICIANDID;
    }

    public void setSOURCELOGDID(String SOURCELOGDID) {
        this.SOURCELOGDID = SOURCELOGDID;
    }

    public String getSOURCELOGDID() {
        return SOURCELOGDID;
    }

    public void setFDATEAUDITING(Timestamp FDATEAUDITING) {
        this.FDATEAUDITING = FDATEAUDITING;
    }

    public Timestamp getFDATEAUDITING() {
        return FDATEAUDITING;
    }

    public void setFDATECREATE(Timestamp FDATECREATE) {
        this.FDATECREATE = FDATECREATE;
    }

    public Timestamp getFDATECREATE() {
        return FDATECREATE;
    }

    public void setASSESSORDID(String ASSESSORDID) {
        this.ASSESSORDID = ASSESSORDID;
    }

    public String getASSESSORDID() {
        return ASSESSORDID;
    }

    public void setHOGPENDID(String HOGPENDID) {
        this.HOGPENDID = HOGPENDID;
    }

    public String getHOGPENDID() {
        return HOGPENDID;
    }

    public void setFDATECHECKUP(Timestamp FDATECHECKUP) {
        this.FDATECHECKUP = FDATECHECKUP;
    }

    public Timestamp getFDATECHECKUP() {
        return FDATECHECKUP;
    }

    public void setFBORNSTATECHECK(String FBORNSTATECHECK) {
        this.FBORNSTATECHECK = FBORNSTATECHECK;
    }

    public String getFBORNSTATECHECK() {
        return FBORNSTATECHECK;
    }

    @Override
    public String toString() {
        return "TDeliveryEntity{" +
                "FID=" + FID + '\'' +
                "FLOGSOURCEE=" + FLOGSOURCEE + '\'' +
                "FDATEDELIVERY=" + FDATEDELIVERY + '\'' +
                "PIGHOUSEDID=" + PIGHOUSEDID + '\'' +
                "FNUMBER=" + FNUMBER + '\'' +
                "FDATEPREJUDGE=" + FDATEPREJUDGE + '\'' +
                "FREMARKSTR=" + FREMARKSTR + '\'' +
                "FLOGSTATEE=" + FLOGSTATEE + '\'' +
                "LISTERDID=" + LISTERDID + '\'' +
                "TECHNICIANDID=" + TECHNICIANDID + '\'' +
                "SOURCELOGDID=" + SOURCELOGDID + '\'' +
                "FDATEAUDITING=" + FDATEAUDITING + '\'' +
                "FDATECREATE=" + FDATECREATE + '\'' +
                "ASSESSORDID=" + ASSESSORDID + '\'' +
                "HOGPENDID=" + HOGPENDID + '\'' +
                "FDATECHECKUP=" + FDATECHECKUP + '\'' +
                "FBORNSTATECHECK=" + FBORNSTATECHECK + '\'' +
                '}';
    }
}
